package com.ibm.satx10;

import x10.util.List;
import x10.util.ArrayList;
public class Utils {
	

	
	public static def blank(c:Char) = (c == ' ') || (c == '\t');
	
	

	/** split a line into blank and non-blank portions, and return a list 
	 * of the nonblank ones
	 */
	public static def splitup(s:String):List[String] {
		val L : List[String] = new ArrayList[String]();
		var start : Int = 0;
		var end : Int = 0;
		val N = s.length();
		while (start < N) {
			// Find first non-blank char
			while(start < N && blank(s.charAt(start))) start++;
			end = start;
			while (end < N && !blank(s.charAt(end))) end++;
			val substr = s.substring(start, end);
			L.add(substr);
			start = end;
		}//while
		return L;
	}
}