import x10.compiler.*;

/**
 * Base class for all supported solvers
 */
    @NativeRep("c++", "SatX10__Solver*", "SatX10__Solver", null)
    @NativeCPPOutputFile("SatX10__Solver.h")
    @NativeCPPOutputFile("SolverX10Callback.h")
    @NativeCPPOutputFile("SolverSatX10Base.h")

 public class Solver {
        public def this () : Solver { }
        @Native("c++", "(#0)->solve((#1),(#2))")
        public def solve ((Rail[Int])=>void, ()=>Int):int = 0;
        @Native("c++", "(#0)->bufferIncomingClauses((#1))")
        public def bufferIncomingClauses (Rail[Int]):void { }
        @Native("c++", "(#0)->kill()")
        public def kill ():void { }
        @Native("c++", "(#0)->printResults(true)")
        public def printResults ():void { }
    }